automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {tap-testsuite-work} testsuite: fix another spurious failure


From: Stefano Lattarini
Subject: [FYI] {tap-testsuite-work} testsuite: fix another spurious failure
Date: Fri, 5 Aug 2011 12:04:54 +0200
User-agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )

* tests/parallel-tests-ext-driver.test: Name out custom/dummy
log compilers as `foo-compiler' rather `foo-driver'; not only
this is less confusing, it also avoids errors due to the dummy
log compiler `test-driver' overriding the `test-driver' helper
script installed by Automake.
* tests/parallel-tests-ext-driver-prog.test: Adjust heading
comments.
---
 ChangeLog                                 |   11 +++++++++
 tests/parallel-tests-ext-driver-prog.test |    4 +-
 tests/parallel-tests-ext-driver.test      |   34 ++++++++++++++--------------
 3 files changed, 30 insertions(+), 19 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 4ccef0c..0238eb9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,16 @@
 2011-08-04  Stefano Lattarini  <address@hidden>
 
+       testsuite: fix another spurious failure
+       * tests/parallel-tests-ext-driver.test: Name out custom/dummy
+       log compilers as `foo-compiler' rather `foo-driver'; not only
+       this is less confusing, it also avoids errors due to the dummy
+       log compiler `test-driver' overriding the `test-driver' helper
+       script installed by Automake.
+       * tests/parallel-tests-ext-driver-prog.test: Adjust heading
+       comments.
+
+2011-08-04  Stefano Lattarini  <address@hidden>
+
        testsuite: fix a spurious failure
        * tests/parallel-tests-ext-driver.test: Exporting of environment
        variables directly from $(LOG_COMPILER) variables is not allowed
diff --git a/tests/parallel-tests-ext-driver-prog.test 
b/tests/parallel-tests-ext-driver-prog.test
index eb0fcab..f32e60c 100755
--- a/tests/parallel-tests-ext-driver-prog.test
+++ b/tests/parallel-tests-ext-driver-prog.test
@@ -15,8 +15,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Check parallel-tests features:
-# - per-extension test drivers (xxx_LOG_COMPILER and xxx_LOG_FLAGS),
-#   when some tests are PROGRAMS.
+# - per-extension "test runners" a.k.a. "log compilers" (xxx_LOG_COMPILER
+#   and xxx_LOG_FLAGS), when some tests are PROGRAMS.
 # See also related test 'parallel-tests-ext-driver.test'.
 
 parallel_tests=yes
diff --git a/tests/parallel-tests-ext-driver.test 
b/tests/parallel-tests-ext-driver.test
index 5fa4499..a774552 100755
--- a/tests/parallel-tests-ext-driver.test
+++ b/tests/parallel-tests-ext-driver.test
@@ -15,16 +15,16 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Check parallel-tests features:
-# - per-extension test drivers (xxx_LOG_COMPILER and xxx_LOG_FLAGS),
-#   also with AC_SUBST'd stuff.
-# See also related test 'parallel-tests-ext-driver-prog.test'.
+# - per-extension "test runners" a.k.a. "log compilers" (xxx_LOG_COMPILER
+#   and xxx_LOG_FLAGS), also with AC_SUBST'd stuff.
+# See also related test 'parallel-tests-ext-compiler-prog.test'.
 
 parallel_tests=yes
 . ./defs || Exit 1
 
 cat >> configure.in << 'END'
-AC_SUBST([acsubst_driver], [t-driver])
-AC_CONFIG_LINKS([chk-driver:chk-driver])
+AC_SUBST([acsubst_compiler], [t-compiler])
+AC_CONFIG_LINKS([chk-compiler:chk-compiler])
 AC_OUTPUT
 END
 
@@ -35,10 +35,10 @@ TESTS = foo.chk bar.test baz bla.t bli.suff sub/test
 
 TEST_EXTENSIONS = .chk .test .t
 
-CHK_LOG_COMPILER = ./chk-driver
-TEST_LOG_COMPILER = $(SHELL) $(srcdir)/test-driver
-T_LOG_COMPILER = @acsubst_driver@
-LOG_COMPILER = @SHELL@ -x $(srcdir)/noext-driver
+CHK_LOG_COMPILER = ./chk-compiler
+TEST_LOG_COMPILER = $(SHELL) $(srcdir)/test-compiler
+T_LOG_COMPILER = @acsubst_compiler@
+LOG_COMPILER = @SHELL@ -x $(srcdir)/noext-compiler
 
 CHK_LOG_FLAGS = --chk
 
@@ -50,14 +50,14 @@ AM_T_LOG_FLAGS = --am-t
 AM_LOG_FLAGS = -a
 LOG_FLAGS = -b
 
-# `t-driver' is deliberately not distributed; it should be available
+# `t-compiler' is deliberately not distributed; it should be available
 # in PATH also from "make distcheck".
-EXTRA_DIST = $(TESTS) chk-driver test-driver noext-driver
+EXTRA_DIST = $(TESTS) chk-compiler test-compiler noext-compiler
 END
 
 mkdir sub
 
-cat > chk-driver <<'END'
+cat > chk-compiler <<'END'
 #! /bin/sh
 test x"$1" = x"--chk" || {
   echo "$0: invalid command line: $*" >&2
@@ -67,12 +67,12 @@ shift
 exec "$@"
 exit 127
 END
-sed 's/--chk/--am-test/' chk-driver > test-driver
+sed 's/--chk/--am-test/' chk-compiler > test-compiler
 
 mkdir bin
 PATH=`pwd`/bin$PATH_SEPARATOR$PATH; export PATH
 
-cat > bin/t-driver <<'END'
+cat > bin/t-compiler <<'END'
 #! /bin/sh
 if test x"$1,$2" != x"--am-t,--t"; then
   echo "$0: invalid command line: $*" >&2
@@ -82,9 +82,9 @@ shift; shift
 exec "$@"
 exit 127
 END
-sed 's/--am-t,--t/-a,-b/' bin/t-driver > noext-driver
+sed 's/--am-t,--t/-a,-b/' bin/t-compiler > noext-compiler
 
-chmod a+x chk-driver chk-driver test-driver bin/t-driver noext-driver
+chmod a+x chk-compiler chk-compiler test-compiler bin/t-compiler noext-compiler
 
 cat >foo.chk << 'END'
 #! /bin/sh
@@ -116,7 +116,7 @@ T_LOG_FLAGS=--bad $MAKE -e check && Exit 1
 cat test-suite.log
 cat bla.log
 # With the above flag overridden, bla.t should fail ...
-$EGREP '(^ *|/)t-driver:.* invalid .*--bad' bla.log
+$EGREP '(^ *|/)t-compiler:.* invalid .*--bad' bla.log
 # ... but no other test should.
 grep -v '^FAIL: bla\.t ' bla.log | grep 'FAIL:' && Exit 1
 
-- 
1.7.2.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]